 /***********************************************************************
 *                                                                      *
 * ViTooKi                                                              *
 *                                                                      *
 * title:	JobListCreator-main.cpp                                      *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 * ITEC institute of the University of Klagenfurt (Austria)             *
 * http://www.itec.uni-klu.ac.at                                        *
 *                                                                      *
 *                                                                      *
 * For more information visit the ViTooKi homepage:                     *
 * http://ViTooKi.sourceforge.net                                       *
 * vitooki-user@lists.sourceforge.net                                   *
 * vitooki-devel@lists.sourceforge.net                                  *
 *                                                                      *
 * This file is part of ViTooKi, a free video toolkit.                  *
 * ViTooKi is free software; you can redistribute it and/or             *
 * modify it under the terms of the GNU General Public License          *
 * as published by the Free Software Foundation; either version 2       *
 * of the License, or (at your option) any later version.               *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,               *
 * MA  02111-1307, USA.                                                 *
 *                                                                      *
 ***********************************************************************/

 /***********************************************************************
 *                                                                      *
 *  REVISION HISTORY:                                                   *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 ***********************************************************************/


#include "JobListCreator.hpp"
#include <string>
#include <iostream>
using namespace std;
void usage()
{
	cout << "jlc [OPTIONS] PATH BASEURL\n";
	cout << "  OPTIONS:\n";
	cout << "    -R ... recursive listing\n";
	exit(0);
}

int main (int argc,char** argv)
{
	bool recursive = false;
	if(argc < 3 || strcmp("--help",argv[1]) == 0 || strcmp("-h",argv[1]) == 0) usage();
	if(argc > 3){
		if (strcmp("-R",argv[1]) == 0){
			recursive = true;
		}
	}
	if(strlen(argv[argc-1])<5) {
		cout << "Invalid Url";
		usage();
	}
	JobListCreator jlc(argv[argc-1],argv[argc-2],recursive);
	jlc.create();
	cout << "\n";
	return 0;
}

