/***********************************************************************
 *                                                                      *
 * ViTooKi                                                              *
 *                                                                      *
 * title:   cg.hpp                                                      *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 * ITEC institute of the University of Klagenfurt (Austria)             *
 * http://www.itec.uni-klu.ac.at                                        *
 *                                                                      *
 *                                                                      *
 * For more information visit the ViTooKi homepage:                     *
 * http://ViTooKi.sourceforge.net                                       *
 * vitooki-user@lists.sourceforge.net                                   *
 * vitooki-devel@lists.sourceforge.net                                  *
 *                                                                      *
 * This file is part of ViTooKi, a free video toolkit.                  *
 * ViTooKi is free software; you can redistribute it and/or             *
 * modify it under the terms of the GNU General Public License          *
 * as published by the Free Software Foundation; either version 2       *
 * of the License, or (at your option) any later version.               *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,               *
 * MA  02111-1307, USA.                                                 *
 *                                                                      *
 ***********************************************************************/

 /***********************************************************************
 *                                                                      *
 *  REVISION HISTORY:                                                   *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 ***********************************************************************/

#ifndef _CG_HPP_
#define _CG_HPP_

#include "markglobal.hpp"
#include "metadata/TerminalCapabilities.hpp"

int res[] = {
720 , 480 ,
480 , 480 ,
640 , 576 ,
352 , 576 ,
480 , 575 ,
352 , 240 ,
352 , 288 ,
176 , 120 ,
176 , 144 };


int freq[7] = {  8000, 11025, 22050, 32000, 44100, 48000, 96000 };	// TODO try to do this in header


class ClientGroup:public TerminalCapabilities
{

private:
	char* name;		// FIXME check with global.hpp
//	int number;		// number of simulated clients

public:
	
	ClientGroup();
	~ClientGroup();

	void setName(const char* name);
	
	char* getName();

//	void setNumber( int number );

//	int getNumber();

	char* toString(char* buffer, int max_len);

	bool fromString(const char* buffer);

};

#endif

