include ../../rules.mk

CXX      = $(CPP)
LEX      = flex
YACC     = yacc
CFLAGS   = $(CPPFLAGS)
CFLAGS   += -pipe -Wall -W -Os  -DQT_NO_DEBUG
CXXFLAGS = $(CFLAGS)
YACCFLAGS= -d
INCPATH = $(INCLUDES)
INCPATH  += -I$(QT_MKSPECS) -I. -I$(QT_INCLUDES) -I.ui/ -I. -I.moc/ -I../../src -I../../src/metadata -I../../3rdparty/ffmpeg/libavformat/ -I../../3rdparty/ffmpeg/libavcodec/  -I../../3rdparty/ffmpeg/libavutil/
LINK     = $(CPP)
LFLAGS   =  -Wl,-rpath, $(QT_LIBS)
LIBS     += $(SUBLIBS) $(QT_LIBS) -L/usr/X11R6/lib -lqt-mt -lXext -lX11 -lm -L../../src/.libs -lvitooki-base -lvitooki-adaptors -lvitooki-cache -lvitooki-container -lvitooki-io -lvitooki-metadata -lvitooki-net
AR       = ar cqs
QMAKE    = qmake
TAR      = tar -cf
GZIP     = gzip -9f
COPY     = cp -f
COPY_FILE= $(COPY)
COPY_DIR = $(COPY) -r
DEL_FILE = rm -f
SYMLINK  = ln -sf
DEL_DIR  = rmdir
MOVE     = mv -f
CHK_DIR_EXISTS= test -d
BSMKDIR    = mkdir -p

DEPS = ../../src/global.hpp  xml.hpp markglobal.hpp
