#ifndef MUVISERVERCONFIGIMPL_HPP
#define MUVISERVERCONFIGIMPL_HPP
#include "MuviServerConfig.hpp"
class MuviServerConfig: public Configurator
{
	Q_OBJECT
public:
	MuviServerConfig( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
  virtual ~MuviServerConfig();
	void loadCurrentServerConfig();
	void loadCurrentServerTermCaps();
	void loadCurrentProxyConfig();
	void loadCurrentProxyTermCaps();
	bool saveServerConfig();
	bool saveProxyConfig();
	bool saveServerTermCaps();
	bool saveProxyTermCaps();
	
public slots:
	void butSwitchDirClicked();
	void butVidDirProxyClicked();
	void butVidDirServerClicked();
	void saveConfig();
	void proxyPortChanged();
	void serverPortChanged();
	void loadCurrentConfig(bool reloadAll);
	void reloadCurrentTab();
	void termCapsServerClicked();
	void termCapsProxyClicked();
};
#endif
