#ifndef _HF_PROGRESSIMPL_HPP
#define _HF_PROGRESSIMPL_HPP
#include "Progress.hpp"
#include <cstdio>
#include <qwidget.h>
class Job;
class Project;

class ProgressImpl: public Progress{
	Q_OBJECT
public:
	ProgressImpl( int project_total_steps,
	          Project* project,
		  QWidget* parent = 0,
	          const char* name = 0,
		  bool modal = FALSE, 
		  WFlags fl = 0 );

	virtual ~ProgressImpl();
		
	void do_job_progress(int job_state);
	void do_project_progress(int project_state);
	void new_job(Job* job, int job_total_steps);
	void quit();
	void cancel();

	
protected:
	Project* project;
	int project_total_steps;

protected slots:
	void init();

};

#endif
