#ifndef MUVITRANS_XML_HPP
#define MUVITRANS_XML_HPP

#define MAX_XML_LEN 10240
#define MAX_FILE_LEN 1024000

#define PROJECT_START "<Project>\n"
#define PROJECT_END "</Project>\n"

#define NAME_SCAN "\tname="
#define NAME_PRINT "\tname=%s\n"

#define WORK_DIR "\tworkingDir="
#define WORK_DIR_PRINT "\tworkingDir=%s\n"

#define SL_START "<Sourcelist>\n"
#define SL_END "</Sourcelist>\n"

#define SOURCE_START "<Source>\n"
#define SOURCE_END "</Source>\n"

#define STREAM_ID "\tstreamID=%u\n"

#define JL_START "<Joblist>\n"
#define JL_END "</Joblist>\n"

#define VJOB_START "<Videojob>\n"
#define VJOB_END "</Videojob>\n"

#define AJOB_START "<Audiojob>\n"
#define AJOB_END "</Audiojob>\n"

//params of job
#define JOBID "\tjobID=%u\n"
#define FILENAME_SCAN "\toutFile="
#define FILENAME_PRINT "\toutFile=%s\n"
#define TARGET_BR "\ttargetBitRate=%u\n"
#define START_POS "\tstartPosition=%f\n"
#define END_POS "\tendPosition=%f\n"

//params of videojob
#define MIN_BR "\tminBitrate=%u\n"
#define MAX_BR "\tmaxBitrate=%u\n"
#define WIDTH "\twidth=%u\n"
#define HEIGHT "\theight=%u\n"
#define VIDEO_FPS "\tFPS=%f\n"
#define VAR_FR "\tvariableFR=%u\n"
#define COLOR "\tcolor=%u\n"
#define CODECID "\tcodec=%u\n"
#define ASPECTRATIO "\taspectRatio=%f\n"
#define MINMBLOCK "\tminMacroBlock=%u\n"
#define MAXMBLOCK "\tmaxMacroBlock=%u\n"
#define MINQUANT "\tminQuantization=%u\n"
#define MAXQUANT "\tmaxQuantization=%u\n"
#define QUANTI "\tquantI=%u\n"
#define QUANTB "\tquantB=%u\n"
#define QUANTP "\tquantP=%u\n"
#define VAR_GOP "\tvariableGop=%u\n"
#define GOPSIZE "\tgopSize=%u\n"
#define ENABLE_VP "\tenableVideoPackets=%u\n"
#define VIDEO_PACK_SIZE "\tvideoPacketSize=%u\n"
#define BFRAMES "\tnumBFrames=%u\n"
#define IFRAMES_ONLY "\tiFramesOnly=%u\n"
#define DEC_BUF_SIZE "\tdecBufferSize=%u\n"

//params of audiojob
#define SAMPLERATE "\tsampleRate=%u\n"
#define NUMCHANNELS "\tnumChannels=%u\n"
#define BITSPERSAMPLE "\tbitsPerSample=%u\n"
#define LANGUAGE_SCAN "\tlanguage="
#define LANGUAGE_PRINT "\tlanguage=%s\n"

#define SYSFILELIST_START "<Systemfilelist>\n"
#define SYSFILELIST_END "</Systemfilelist>\n"

#define SYSFILE_START "<Systemfile>\n"
#define SYSFILE_END "</Systemfile>\n"

#define INTERLEAVE "\tinterleave=%u\n"
#define STREAMABLE "\tstreamable=%u\n"
#endif 
