#ifndef VITOOKI_SESSIONCOUNTER_HPP
#define VITOOKI_SESSIONCOUNTER_HPP
#include "VMutex.hpp"
#include "global.hpp"
#include "VThread.hpp"

class SessionCounter : public VThread
{
	public:
		SessionCounter(const char*);
		~SessionCounter();
		void increment();
		void decrement();
		void stop();
		void run();
	protected:
		char filename[MAX_STR_LEN];
		bool stopped;
		unsigned int counter,incr,decr;
		VMutex imutex,dmutex;
};
#endif
