BASEDIR      = $(shell cat ../../.BASEDIR)
include ../../rules.mk


INCLUDES  += -I../../src

LDFLAGS   += -L../../src/.libs -lvitooki-base -lvitooki-adaptors 
LDFLAGS   += -lvitooki-cache -lvitooki-container -lvitooki-io
LDFLAGS   += -lvitooki-metadata -lvitooki-net

all: job.cpp job.hpp jobtest.cpp
	g++ -g -o jobtest jobtest.cpp $(CPPFLAGS) $(INCLUDES) $(LDFLAGS)

run:
	export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:../../src/.libs
	./jobtest rtsp://iteclb02.itec-e.uni-klu.ac.at/coastguard_9_6.mp4 rtsp://iteclb02.itec-e.uni-klu.ac.at/coastguard+jazzpiano.mp4
