#ifndef _HF_USERDEFINEIMPL_HPP
#define _HF_USERDEFINEIMPL_HPP
#include "UserDefine.hpp"
#include "VideoESInfo.hpp"
#include "VideoJob.hpp"
#include <cstdio>
#include <qlayout.h>
#include <qlistview.h>
#define MAX_ASPECT 4



class UserDefineImpl : public UserDefine{
	Q_OBJECT
	
public:
    UserDefineImpl(float* f_aspect_ratio,
		   int* width,
		   int* height,
		   QWidget* parent = 0, 
    		   const char* name = 0,
		   bool modal = FALSE, 
		   WFlags fl = 0); 
                    
				     
    ~UserDefineImpl();
    
protected slots:
    void cancel();
    void ok();
    void k_aspect_clicked();
    void width_valueChanged(int);
    void height_valueChanged(int);
    void aspect_ratio_activated(int);

protected:
    QGridLayout* cancel_save;
    int xarray[MAX_ASPECT];
    int yarray[MAX_ASPECT];
    int* i_width;
    int* i_height;
    float* f_aspect_ratio;


private:
    void init();
    int aspect_values();

};
#endif
