<?php
$page_title = "Core lib";
define('PATH_TO_ROOT','../../');
include(PATH_TO_ROOT.'include/page_header.php');
?>
<h1>Core lib</h1>
<p>The ViTooKi Video-ToolKit supports adaptive standard compliant video 
streaming, transcoding and proxy caching. It supports MPEG-1/2/4/7/21 and 
MP3/AAC, stored in various containers like mp4, avi over RTSP/RTP/UDP with 
retransmission. server/proxy/player included.</p>

<p>Used libraries are ffmpeg, xvid but also ISO-MP4 (which is, because of 
licencing issues, not included in the CVS tree)</p>

<p>It is divided in various library parts:
<ins><ul>
<li><b>base</b>
gives basic access to frames, containers and processing via DataChannels 
with Adaptors.</li>

<li><b>adaptors</b>
offers a large number of adaptors like temporal, spatial, grayscale but also 
statistics like framecounters or bandwidth counters.</li>

<li><b>io</b>
 various IO classes like MPEG or YUV elem stream, RTP or DevNull </li>

<li><b>net</b>
classes for RTSP, URL parsing, but also RFC3016 conformant RTP 
packetization</li>

<li><b>container</b>
helpers for parsing mp4 containers. This could be done via our ffmpeg 
wrapper class or a ISO-MP4 library wrapper.<br/>
AVI and DVD containers will be added soon.</li>

<li><b>metadata</b>
   Basic classes for MPEG-21, MPEG-7 and Terminal Capabilities.</li>

<li><b>cache</b>
  Support for MetaObjects and various cache replacement strategies</li>
</ul></ins></p>
<?php
include(PATH_TO_ROOT.'include/page_footer.php');
?>
