<?php
$page_title = "MuViMark";
define('PATH_TO_ROOT','../../');
include(PATH_TO_ROOT.'include/page_header.php');
?>
<h1>MuViMark</h1>
	<p>MuViMark is a commandline/GUI suite for generating and 
	executing benchmarks on the MuViServer and MuViProxy to test 
	its performance, quality and stability under high load.</p>

	<p>It (will) consist(s) of following components:
	<ins><ul>
		<li>GUIs for creating config files</li>
		<li>GUI for the graphical visualisation of the
			benchmark(s)</li>
		<li>Commandline application for executing the benchmarks
			and generating the statistics.</li>
	</ul></ins></p>
	
	<h2 id="screenshots">Screenshots</h2>
	<p><ins><ul>
		<li><a href="http://zerokspot.com/uni/projects/vitooki/muvimark-1vtkc/html-summary/muvimark/jl_interface2-2.png">JobList GUI</a></li>
		<li><a href="http://zerokspot.com/uni/projects/vitooki/muvimark-1vtkc/html-summary/muvimark/cg_screen1.png">ClientGroup GUI</a></li>
		<li><a href="http://zerokspot.com/uni/projects/vitooki/muvimark-1vtkc/html-summary/muvimark/bm_screen2.png">BenchmarkList GUI</a></li>
	</ul></ins></p>
<?php
include(PATH_TO_ROOT.'include/page_footer.php');
?>
