<?php
function generateScreenshotGallery($path)
{
	$dh = @dir($path);
	if (!$dh){
		printf("Gallery path not accessible");
		return;
	}
	while($entry = $dh->read()){
		if ($entry != '.' && $entry != '..'){
			printf("<a href=\"".$path.'/'.$entry."\"><img
					class=\"gallery\" src=\"%s\" alt=\"".$entry."\"/></a>\n",$path.'/'.$entry);
		}
	}
}

function getBrowserInfo($string)
{
	$arr_return = Array();
	$browser = $_SERVER['HTTP_USER_AGENT'];
	/* Check if the browserString includes "compatible". 
	   If it does, then use the elements after this mark
	   */
	if (strpos($browser,"compatible; ")){
		preg_match("/.*?\(compatible; ([A-Z]*) (.*?);/",$browser,$browserInfo);
		$arr_return['browser'] = $browserInfo[1];
		$arr_return['version'] = $browserInfo[2];
	}
	else {
		preg_match("/([A-z]*)\/(.*?) /",$browser,$browserInfo);
		$arr_return['browser'] = $browserInfo[1];
		$arr_return['version'] = $browserInfo[2];
	}
	return $arr_return;
}

?>
