<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
	<meta http-equiv="content-type" content="text/html;charset=ISO-8859-1">
	<title>ViTooKi :: Lite</title>
	<style type="text/css">
		h1	{ font-size:25pt ; font-weight:bolder ; color:#135394 }
		h2	{ font-size:20pt ; font-weight:bold ; color:#135394 }
		body	{ color:#000000 ; font-family:"Bit Stream Vera","Arial" ; font-size:12pt }
		a 	{ color:#135394 ; text-decoration:none }
		a:hover	{ text-decoration:underline }
	</style>
</head>

<body bgcolor="#FFFFFF">
<a name="top"></a>
<h1>ViTooKi :: Lite</h1>
<table><tr>
	<td valign="top"><img src="images/vitooki.png" alt="ViTooKi"></td>
	<td>Welcome to the lite-version of the vitooki.sf.net 
	homepage. This site is recommended for Netscape 4.x users 
	as the standard version excessively uses CSS (1 &amp; 2) 
	which is only up to quite a limited degree supported by 
	Netscape 4.
	<br>For that reason we recommend that you update
	to a newer version of Netscape-browser 
	(Netscape &gt;= 6.0 , Mozilla &gt;= 1.0), 
	or one of the Opera 7.x releases.<br>
	This site was primary tested with Opera
	7.2x and MozillaFirebird. It should also work
	without any (or bigger) problem(s) with 
	MozillaSuite browser, Internet Explorer-based
	browser, Lynx and Links.<br>
	<b>Links:</b>
	<ul>
		<li><a target="_blank" href="http://mozilla.org/download.html">Mozilla</a>
		<li><a target="_blank" href="http://www.opera.com/download/">Opera</a>
		<li><a target="_blank" href="http://channels.netscape.com/ns/browsers/download.jsp">Netscape</a>
		<li><a target="_blank" href="">Internet Explorer</a>
	</ul>
	</td>
</tr></table>


<h2>Index</h2>
<ol>
	<li><a href="#whatis">What is ViTooKi?</a>
	<li><a href="#news">News</a>
	<li><a href="#components">Components</a>
	<li><a href="#get">Get ViTooKi</a>
	<li><a href="#community">Community</a>
	<li><a href="#staff">Staff</a>
	<li><a href="http://sourceforge.net/projects/vitooki/">@Sourceforge.net</a>
</ol>

<table>
	<tr><td colspan="2"><h2><a name="whatis" href="#top">What is ViTooKi?</a></h2></td></tr>
	<tr>
		<td valign="top"><img src="images/vitooki.png" alt="News icon"></td>
		<td><p>The Video-Toolkit is a operating system independent, powerful high-level
			C++ multimedia library developped to simplify the implementation of multimedia
			applications, e.g. with ViTooKi it's possible to write a commandline
			movieplayer in less than 15 lines of code that runs both on Linux and Windows!</p>
 
			ViTooKi supports
				<ul>
					<li>standard compliant video streaming via RTP/UDP</li>
					<li>standardized RTP extensions to allow intelligent retransmission of lost frames</li>
					<li>RTSP and HTTP support (the latter is still WIP)</li>
					<li>real-time adaptation according to the client's terminal capabilities, i.e.
 				 		a mobile user can specify that its maximum display resolution is just 240x180
						and an adaptive video server will transcode the requested video in real-time
						to this resolution and send it to the client, thus reducing network bandwidth
						and client CPU usage
					<li>meta-data support: MPEG-21 is used for describing terminal capabilities and user
						preferences, MPEG-7 for adding semantic information to a video (e.g.: actors in a
						specific scene of a video)
					<li>MPEG-1, MPEG-2, MPEG-4 and any other video format supported by the great
						ffmpeg library</li>
					<li>MP3 and AAC also thanks to ffmpeg</li>
				 </ul>

			<p>The complete ViTooKi package consists of the main library, several small examples
				that illustrate how to use the library, and some larger multimedia
				applications like an adaptive media server, an adaptive media proxy, a
				multi video player etc.
				<br/>Each of these applications has a separate webpage where more detailed information
				is available.</p>
			<p style="padding-top:1em">This project is part of the Admits (<a href="http://admits-itec.uni-klu.ac.at/" target="_blank">http://admits-itec.uni-klu.ac.at/</a>) project, which is supervised by 
				<a href="http://www.ifi.uni-klu.ac.at/ITEC/Staff/Laszlo.Boszormenyi" target="_blank">Prof. Laszlo B&ouml;sz&ouml;rmenyi</a> 
				and <a href="http://www.ifi.uni-klu.ac.at/ITEC/Staff/Hermann.Hellwagner" target="_blank">Prof. Hermann Hellwagner</a>. 
				Admits was funded in part by FWF (Fonds zur F&ouml;rderung der wissenschaftlichen Forschung) 
				P14788 and by KWF (K&auml;rntner Wirtschaftsf&ouml;rderungsfonds)</p>

				</td>
	</tr>
	<tr><td colspan="2"><h2><a name="news" href="#top">News</a></h2></td></tr>
	<tr>
		<td valign="top"><img src="images/vitooki.png" alt="News icon"></td>
		<td><?php @include('news/lite.php'); ?></td>
	</tr>

	<tr><td colspan="2"><h2><a name="components" href="#top">Components</a></h2></td></tr>
	<tr>
		<td valign="top"><img src="images/vitooki.png" alt="Components icon"></td>
		<td>
			<ul>
				<li><b>Core lib:</b>
					The ViTooKi Video-ToolKit supports adaptive standard compliant video streaming, transcoding and proxy caching. It supports MPEG-1/2/4/7/21 and MP3/AAC, stored in various containers like mp4, avi over RTSP/RTP/UDP with retransmission. server/proxy/player included.
					Used libraries are ffmpeg, xvid but also ISO-MP4 (which is, because of licencing issues, not included in the CVS tree)
					<br><br>
					It is divided in various library parts: 
					<ul>
						<li><u>base</u> gives basic access to frames, containers and processing via DataChannels with Adaptors.
						<li><u>adaptors</u> offers a large number of adaptors like temporal, spatial, grayscale but also statistics like framecounters or bandwidth counters.
						<li><u>io</u> various IO classes like MPEG or YUV elem stream, RTP or DevNull 
						<li><u>net</u> classes for RTSP, URL parsing, but also RFC3016 conformant RTP packetization
						<li><u>container</u> helpers for parsing mp4 containers. This could be done via our ffmpeg wrapper class or a ISO-MP4 library wrapper. AVI and DVD containers will be added soon.
						<li><u>metadata</u> Basic classes for MPEG-21, MPEG-7 and Terminal Capabilities.
						<li><u>cache</u> Support for MetaObjects and various cache replacement strategies				
					</ul>
				<li><b>Apps:</b>
					<ul>
						<li><b>MuViServer:</b>
							MuViServer prepares all .MP4 files to be streamed over the Network on startup. Then it expects an unlimited number of parallel connections. RTSP/RTP Clients like QuickTime or RealPlayer can be used to access the video and audio streams via RTP/UDP and (later) HTTP.
						<li><b>MuViPlayer:</b>
							When MuViPlayer is used for connecting to MuViServer, there are some extra features enabled: Terminal Capabilities of the client (like grayscale display or only a certain resolution like QCIF is possible) but also adaptive streaming and retransmission of important packets. Further, this is a MultipleVideoPlayer, so one might open videos from various servers in various different qualities and also from local sources for comparison or eg. surveillance issues. Displaying is done using SDL and ffmpeg or xvid.
						<li><b>MuViProxy:</b>
							MuViProxy is a media proxy/cache in between a server/client environment, but when used with MuViServer and MuViPlayer, all the above mentioned extra features are available too. Further, streams are cached and also adapted by various strategies, if not requested so often. This increases delivery performance and saves cache space.
						<li><b>AdaptDemo:</b>
							AdaptDemo is a simple application where a local video can be loaded and some adaptors like Grayscale, Temporal B-VOP dropping, and Spatial Resolution adaptation can be chosen graphically. The result is rendered and shown on the fly.
						<li><b>MuViTrans:</b>
							MiVuiTrans is in its early development stages, but it will be a control center for recoding various inputs like video, audio and subtitle streams to different settings and qualities. It will also allow repackaging in new container files like .mp4. Valid inputs should not only be various containers like .mp4 or .avi, but also elementary streams like MPEG-4, MPEG-1 or -2. Finally, there is work in the area of using complete DVDs (or DVD harddisk images) to be chosen as input source. This will allow ripping and recoding DVDs to modern MPEG-4 with MP3 or AAC audio.
					</ul>
				<li><b>Examples:</b>
					<ul>
						<li><b>mp4toyuv:</b>
							mp4toyuv opens a given .mp4 file and extracts and decodes the primary video stream to raw YUV format.
						<li><b>yuvtompeg:</b>
							yuv2mpeg takes a stream in raw YUV format and encodes it to MPEG-4.
						<li><b>YALT:</b>
							YALT is Yet Another Leech Tool. It connects to a given server via RTSP and requests a video. Then it receives it via RTP and stores it to the harddisk.
						<li><b>mp7Creator:</b>
							mp7creator extracts MPEG-7 information from a .mp4 container file, applies different adaptation methods on the elementary streams and writes correct MPEG-7 XML descriptions about the given content and adaptation hints.
						<li><b>SimpleAdapt:</b>
							SimpleAdapt opens a .mp4 file and does decoding and a simple spatial (resolution) transformation and re-encodes the elementary streams back to MPEG-4.
						<li><b>AdaptorBench:</b>
							AdaptorBench is just opening a .mp4 file and adds many adaptors to it. It demultiplexes the stream and applies the adaptors to each frame, whilst taking time measurements.
					</ul>
			</ul>
		</td>
	</tr>

	<tr><td colspan="2"><h2><a name="get" href="#top">Get ViTooKi</a></h2></td></tr>
	<tr>
		<td valign="top"><img src="images/downloads.png" alt="Downloads icon"></td>
		<td>
			<ul>
				<li><a href="">CVS</a>
				<li><a href="">Releases</a>
				<li>Snapshots:
					<?php @include('get/snapshots/lite.php'); ?>
			</ul>
		</td>
	</tr>

	<tr><td colspan="2"><h2><a name="community" href="#top">Community</a></h2><td></tr>
	<tr>
		<td valign="top"><img src="images/community.png" alt="Community idon"></td>
		<td>
			<a href="https://sourceforge.net/mail/?group_id=95797">Mailinglists</a>
		</td>
	</tr>

	<tr><td colspan="2"><h2><a name="staff" href="#top">Staff</a></h2></td></tr>
	<tr>
		<td valign="top"><img src="images/staff.png" alt="Staff icon"></td>
		<td>
			<ul>
				<li><b>Core:</b>
					<ul>
						<li>M. Kropfberger
						<li>P. Schojer
					</ul>
				<li><b>Contributors:</b>
					<ul>
						<li>B. Antonitsch
						<li>C. Cobarzan
						<li>M. Fauster
						<li>H. Fiebiger
						<li>D. Fritzer
						<li>H. Gutmann
						<li>S. Kuchler
						<li>M. Kumar
						<li>R. Marktl
						<li>P. Meckel
						<li>B. Putsche
						<li>R. Sowa
					</ul>
			</ul>
		</td>
	</tr>
</table>
<p>
	<!--<a href="http://validator.w3.org/check/referer"><img border="0" src="http://www.w3.org/Icons/valid-html401" alt="Valid HTML 4.01!" height="31" width="88"></a>
	&nbsp; -->
	<a href="http://ffmpeg.org/" target="_blank"><img src="images/ffmpeg-button.gif"></a>
	&nbsp;
	<a href="http://sourceforge.net/"><img border="0" src="http://sourceforge.net/sflogo.php?group_id=%3Cb%3E95797%3C/b%3E&type=1"></a>
</p>
</body>
</html>
