/***********************************************************************
 *                                                                      *
 * ViTooKi                                                              *
 *                                                                      *
 * title:	simpleplayer.hpp                                            *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 * ITEC institute of the University of Klagenfurt (Austria)             *
 * http://www.itec.uni-klu.ac.at                                        *
 *                                                                      *
 *                                                                      *
 * For more information visit the ViTooKi homepage:                     *
 * http://ViTooKi.sourceforge.net                                       *
 * vitooki-user@lists.sourceforge.net                                   *
 * vitooki-devel@lists.sourceforge.net                                  *
 *                                                                      *
 * This file is part of ViTooKi, a free video toolkit.                  *
 * ViTooKi is free software; you can redistribute it and/or             *
 * modify it under the terms of the GNU General Public License          *
 * as published by the Free Software Foundation; either version 2       *
 * of the License, or (at your option) any later version.               *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the         *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston,               *
 * MA  02111-1307, USA.                                                 *
 *                                                                      *
 ***********************************************************************/

/***********************************************************************
 *                                                                      *
 *  REVISION HISTORY:                                                   *
 *                                                                      *
 *                                                                      *
 *                                                                      *
 ***********************************************************************/

#ifndef RTPRECEIVER_HPP
#define RTPRECEIVER_HPP

#include "net/ClientSession.hpp"
#include "net/ProxySession.hpp"
#include "net/Url.hpp"
#include "metadata/UserPreferences.hpp"
#include "io/SDLRenderer.hpp"


class RTPReceiver
{
public:
	RTPReceiver();
/*
public:
	Simpleplayer (char *filename = NULL, 
				  bool enableHeadphones = false, 
				  bool enableFullscreen = false,
				  bool pollEvents = false,  
				  bool labelResizable = true,
				  bool fixAspectRatio = true, 
				  bool allowUpscaleX = false, 
				  bool enableRotate = false,
				  int width = 0,
				  int height = 0, 
				  M3SMetaInfo *m3s = NULL);

	~Simpleplayer();

	int startPlayer();

protected:
	DataChannel *vdc; //video
	DataChannel *adc; //audio
	ReferenceCounter *ref; //used for video+audio stream
	GlobalTimer *gt; //used for video+audio stream
	ESSynchronizer *esync;
	IO *vio;
	IO *aio;
	M3SMetaInfo *m3s;


	bool enableHeadphones;
	bool enableRotate;
	bool enableFullscreen;
	bool pollEvents;
	bool labelResizable;
	bool fixAspectRatio;
	bool allowUpscaleX;
	bool quitting;

	char *filename;

	int width, height;
	
	
	unsigned int getFilesize(char *filename);
*/
};


#endif