
#ifdef WINCE
#include <afxwin.h> 
#endif
#include "RTPReceiver.hpp"
#include <string.h>

#include "vitooki.hpp"
#include "global.hpp"

#ifdef WINCE
int WINAPI WinMain(	HINSTANCE hInstance,
					HINSTANCE hPrevInstance,
					LPTSTR    lpCmdLine,
					int       nCmdShow)
#else
int main(int argc, char *argv[])
#endif
{
	UserPreferences *up = NULL;
	//TerminalCapabilities *tc = new TerminalCapabilities(0, 300, 16, true, 240, 320, 100, 0, 131077,0,0,0,1, 16, 44100);
	TerminalCapabilities *tc = new TerminalCapabilities(0, 70, 16, true, 120, 160, 8, 0, 70000,0,0,0,0);


	vitooki_init_all();

	IO *sdlr = new SDLRenderer(NULL,UncompressedVideoFrame::ColorSpaceI420,120,160,false,
				false,false,true,false,false);

	ClientSession *cs = new ClientSession("rtsp://pandora:5554/zib_20041024_13h_nosound_qcif.mp4",sdlr,NULL,tc,true,true);
	cs->run();

	//RTPReceiver *rtpr = new RTPReceiver();

	

	return 0;
}

